%define	_sbindir /sbin
# XXX --enable-kerberos		needs krcmd

Summary: 	Programs for backing up and restoring ext2/ext3 filesystems.
Name: 		dump
Version: 	0.4b41
Release: 	5.7
License: 	BSD
URL: 		http://dump.sourceforge.net
Group: 		Applications/Archiving
Source: 	dump-%{version}.tar.gz
Patch0:         %{name}-%{version}-pathnames.patch
Patch1:         %{name}-%{version}-destdir.patch
Patch2:         %{name}-%{version}-configure.patch
Patch3:         %{name}-%{version}-include.patch
BuildRequires: 	e2fsprogs-devel, readline-devel, ncurses-devel, zlib-devel, bzip2
# libtermcap-devel
Requires: 	rmt
BuildRoot: 	%{_tmppath}/%{name}-root

%description
The dump package contains both dump and restore. Dump examines files
in a filesystem, determines which ones need to be backed up, and
copies those files to a specified disk, tape, or other storage medium.
The restore command performs the inverse function of dump; it can
restore a full backup of a filesystem. Subsequent incremental backups
can then be layered on top of the full backup. Single files and
directory subtrees may also be restored from full or partial backups.

Install dump if you need a system for both backing up filesystems and
restoring filesystems after backups.

%package -n rmt
Summary: Provides certain programs with access to remote tape devices.
Group: Applications/Archiving

%description -n rmt
The rmt utility provides remote access to tape devices for programs
like dump (a filesystem backup program), restore (a program for
restoring files from a backup), and tar (an archiving program).

%package -n dump-static
Summary: Statically linked versions of dump and restore.
Group: Applications/Archiving

%description -n dump-static
The dump package contains both dump and restore. Dump examines files in
a filesystem, determines which ones need to be backed up, and copies
those files to a specified disk, tape, or other storage medium. The
restore command performs the inverse function of dump; it can restore a
full backup of a filesystem. Subsequent incremental backups can then be
layered on top of the full backup. Single files and directory subtrees
may also be restored from full or partial backups.

Install dump if you need a system for both backing up filesystems and
restoring filesystems after backups.

This package contains statically linked versions of dump and restore.

%prep
%setup -q

%patch0
%patch1
%patch2
%patch3


%build
%define prefix   /usr
%define sysconfdir /etc
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --sbindir=/sbin \
                --infodir=%{_infodir} \
                --sysconfdir=%{sysconfdir} \
                --enable-rmt \
                --with-ldopts= \
                --with-ccopts="-I$PWD -Wall" \
                --with-binowner=root \
                --with-bingrp=root \
                --with-binmode=0755 \
                --with-manowner=root \
                --with-mangrp=root \
                --with-manmode=0644 \
                --enable-readline \
                --enable-largefile
make

%install
install -d $RPM_BUILD_ROOT/etc \
           $RPM_BUILD_ROOT/sbin \
           $RPM_BUILD_ROOT/%{_mandir}/man8
make DESTDIR=$RPM_BUILD_ROOT/ install
#do not install rmt
#ln -sf ../sbin/rmt $RPM_BUILD_ROOT/etc/rmt
rm $RPM_BUILD_ROOT/sbin/rmt
rm $RPM_BUILD_ROOT/%{_mandir}/man8/rmt.*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc %{_mandir}/*/*
/sbin/*
%doc CHANGES COPYRIGHT KNOWNBUGS MAINTAINERS README REPORTING-BUGS
%doc THANKS TODO dump.lsm examples

%changelog
* Wed Feb 06 2008 - jg@internetx.de
- modified for rh/centos
* Sat Mar 31 2007 - rguenther@suse.de
- add zlib-devel BuildRequires
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - schwab@suse.de
- Don't strip binaries.
* Tue Jan 03 2006 - nadvornik@suse.cz
- updated to 0.4b41
  * ACL fixes
* Mon Jul 25 2005 - nadvornik@suse.cz
- do not install rmt
* Fri Jul 15 2005 - nadvornik@suse.cz
- updated to 0.4b40
  * support for extended attributes (ACL)
* Tue Apr 19 2005 - nadvornik@suse.de
- fixed including of linux/fs.h
* Tue Jan 25 2005 - nadvornik@suse.cz
- updated to 0.4b39
* Wed Sep 01 2004 - nadvornik@suse.cz
- updated to 0.4b37
* Wed Jun 02 2004 - ro@suse.de
- avoid inclusion of linux/audit.h
* Tue Feb 10 2004 - kukuk@suse.de
- Fix compiling on 64bit architectures
* Thu Feb 05 2004 - nadvornik@suse.cz
- updated to 0.4b35
* Fri Aug 01 2003 - nadvornik@suse.cz
- fixed to compile on x86_64
* Wed Jul 23 2003 - nadvornik@suse.cz
- update to 0.4b34, fixes [#27810]
* Mon Feb 17 2003 - nadvornik@suse.cz
- updated to 0.4b33
* Thu Aug 29 2002 - nadvornik@suse.cz
- updated to 0.4b31:
  - fixed rmt open flags transmission (remote dump was broken in 0.4b29)
  - fixed the tape length calculation when using large tapes and compression
  - made dump save 32 bit UID/GID
* Tue Jul 02 2002 - nadvornik@suse.cz
- updated to 0.4b29
  - bugfixes
  - more examples
* Thu Apr 18 2002 - nadvornik@suse.cz
- updated to 0.4b28
  - bugfixes
  - do not include kernel haders
- compiled with readline
* Tue Apr 02 2002 - nadvornik@suse.cz
- fixed to compile with new autoconf
* Wed Jan 30 2002 - nadvornik@suse.cz
- update to 0.4b26:
  - more examples
  - bugfixes
* Mon Jan 07 2002 - nadvornik@suse.cz
- added link /etc/rmt -> /sbin/rmt for compatibility [bug #12615]
* Thu Nov 22 2001 - nadvornik@suse.cz
- update to 0.4b25:
  - more documentation
  - added bzip2 compression
  - suport for backups to CD
  - bugfixes
* Fri Aug 17 2001 - nadvornik@suse.cz
- added fix for traverse.c
* Thu Aug 16 2001 - ro@suse.de
- up to 0.4b23 to make it build with new e2fsprogs
* Tue Feb 27 2001 - nadvornik@suse.cz
- update to 0.4b21
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Feb 22 2001 - schwab@suse.de
- Fix missing includes.
- Replace ino_t by __ino_t instead of unsigned int.
- Don't kill entire process group on crash.
* Fri Feb 09 2001 - uli@suse.de
- fixed for glibc 2.2.1
* Thu Jan 11 2001 - nadvornik@suse.cz
- added lfs patch
* Tue Dec 05 2000 - smid@suse.cz
- path to rmt changed [#4306]
* Sun Dec 03 2000 - smid@suse.cz
- new version 0.4b20
* Thu Nov 09 2000 - ro@suse.de
- fixed neededforbuild
* Fri Sep 29 2000 - smid@suse.cz
- new version 0.4b19
* Fri Apr 07 2000 - smid@suse.cz
- upgrade to 0.4b16
- buildroot added
* Thu Mar 02 2000 - kukuk@suse.de
- Update to version 0.4b15 and correct security fix



